// Copyright (C) 2018-2024, Tellusim Technologies Inc. All rights reserved
// https://tellusim.com/

package com.tellusim;
import com.tellusim.*;

/*
 */
public class MeshRefine {
	
	public static boolean subdiv(Mesh dest, Mesh src, int steps) { return subdiv_(dest.self, src.self, steps); }
	public static boolean subdiv(MeshGeometry dest, MeshGeometry src, int steps) { return subdiv_1(dest.self, src.self, steps, Base.Maxu32); }
	public static boolean subdiv(MeshGeometry dest, MeshGeometry src, int steps, int position) { return subdiv_1(dest.self, src.self, steps, position); }
	
	private static native boolean subdiv_(long dest, long src, int steps);
	private static native boolean subdiv_1(long dest, long src, int steps, int position);
}
